use std::str::Utf8Error;

use thiserror::Error;

#[derive(Error, Debug)]
pub(crate) enum GementionError {
    #[error("No content found for target")]
    NoContentFoundForTarget,

    #[error("url parsing error: {0}")]
    UrlParsingError(#[from] url::ParseError),

    #[error("value was not utf8: {0}")]
    Utf8Error(#[from] Utf8Error),

    #[error("generic error: {0}")]
    UnclassifiedError(#[from] anyhow::Error),
}
